# class Byebug::SourceCommand

Execute a file containing byebug commands.

It can be used to restore a previously saved debugging session.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/source.rb, line 19
        def self.description
          <<-DESCRIPTION
            source <file>

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/source.rb, line 15
    def self.regexp
      /^\s* so(?:urce)? (?:\s+(\S+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/source.rb, line 27
    def self.short_description
      "Restores a previously saved byebug session"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/source.rb, line 31
    def execute
      return puts(help) unless @match[1]

      file = File.expand_path(@match[1]).strip
      return errmsg(pr("source.errors.not_found", file: file)) unless File.exist?(file)

      processor.interface.read_file(file)
    end